Bug 82994 - Missing media file extensions in the open audio/video dialog
Summary: Missing media file extensions in the open audio/video dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: d.sikeler94
QA Contact:
URL:
Whiteboard: target:4.4.0 target:4.3.3 target:4.2.7
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks: File-Dialog
  Show dependency treegraph
 
Reported: 2014-08-23 21:51 UTC by Yousuf Philips (jay)
Modified: 2016-09-28 09:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-08-23 21:51:46 UTC
During my audio and video support testing in bug 79468, i noticed the following media extensions werent listed in the file open dialog, though they are supported.

Audio: .ac3, .m4a
Video: asf, dv, rm
Comment 1 David Tardon 2014-08-24 08:09:04 UTC
The list of audio/video filters is in avmedia/source/viewer/mediawindow.cxx, function MediaWindow::getMediaFilters.
Comment 2 Yousuf Philips (jay) 2014-08-24 11:57:26 UTC
Forgot to mention the audio extension .ra. :)
Comment 3 d.sikeler94 2014-08-28 09:32:39 UTC
Hi, I would like to work on this bug. It's the first time I work on LibreOffice.
Comment 4 d.sikeler94 2014-08-28 12:26:18 UTC
Added missing media extensions.
https://gerrit.libreoffice.org/#/c/11172/
Comment 5 Commit Notification 2014-08-28 13:13:47 UTC
Daniel Sikeler committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f43d50d1e470dbfbadb4e90135069f0ca89d65c7

fdo#82994: added missing media extensions



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Yousuf Philips (jay) 2014-08-28 20:57:18 UTC
Thanks daniel for the patch. Hope you'll be able to push it into 4.2.7 and 4.3.2. :)
Comment 7 Yousuf Philips (jay) 2014-08-31 19:45:14 UTC
Hi Daniel,

I think .ac3 should be labeled as 'AC3 Audio' and not 'Audio Codec'.
Comment 8 Commit Notification 2014-09-09 15:01:51 UTC
Daniel Sikeler committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62c0ff126a97df0601054fa15498ccccf96077f7

fdo#82994: Changed filterlabel of .ac3-files



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Yousuf Philips (jay) 2014-09-09 21:51:15 UTC
Hi Daniel,

Thanks for fixing the ac3. Sorry to do this again, but i think "Advanced Systems" should be 'Advanced Systems Format', as that is the correct full form of the extension, and it has two additional file extensions (.wma, .wmv). Also think that .opus should be added to Ogg Audio.
Comment 10 d.sikeler94 2014-09-10 11:54:35 UTC
Hi Jay,

Thanks for your input on this topic. Is there something else you want to have changed?
Comment 11 Yousuf Philips (jay) 2014-09-10 22:30:10 UTC
Hi Daniel,

At the moment, there isnt any other changes that i could think of outside of what i mentioned in comment 9, but hope you'll be able to port it back to earlier versions like 4.2 and 4.3. :D
Comment 12 Commit Notification 2014-09-11 09:05:28 UTC
Daniel Sikeler committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=380a4618dd8205c56a5c6622e01e88ae8911fe5e

fdo#82994 Added some more audio formats



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Yousuf Philips (jay) 2014-09-11 11:53:57 UTC
Thanks again Daniel.
Comment 14 Commit Notification 2014-09-12 08:44:58 UTC
Daniel Sikeler committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18e39b06705f3fa851573151fce69188dbf8bcd9&h=libreoffice-4-3

fdo#82994: added missing media extensions


It will be available in LibreOffice 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2014-09-12 08:46:51 UTC
Daniel Sikeler committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67f81142709a83494ce14441d5d525d5c1553616&h=libreoffice-4-3

fdo#82994: Changed filterlabel of .ac3-files


It will be available in LibreOffice 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2014-09-12 08:47:07 UTC
Daniel Sikeler committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d3a8908fe8a441469ffd336a445c2b361db5d7f&h=libreoffice-4-3

fdo#82994 Added some more audio formats


It will be available in LibreOffice 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2014-09-12 08:49:16 UTC
Daniel Sikeler committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8e2cdfad4b9a4a88fde930b85e16143f51cfebe&h=libreoffice-4-2

fdo#82994: added missing media extensions


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Yousuf Philips (jay) 2014-09-12 13:57:00 UTC
Thanks Daniel for backporting it.
Comment 19 Mike §chinagl 2014-12-20 22:49:22 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

More media file types are now accessible from Insert ▸ Audio/Video: Real Audio (.ra), Real Media (.rm), Digital Video (.dv), Audio Codec (.ac3), Ogg Opus (.opus), Advanced Systems (.asf), MPEG Audio (.m4a).
Comment 20 Robinson Tryon (qubit) 2015-12-16 00:13:03 UTC Comment hidden (obsolete)